Skip to main content

Endpoint

Overview

Retrieve TikTok and Instagram comment tasks for your organization. You can filter by specific comment IDs, account IDs, or account tag.

Request Body

string[]
Get specific comments by their IDs.
string[]
Filter comments by account IDs. Only returns comments made by these accounts.
string
Filter comments by account tag. Returns comments from all accounts that have this tag.

Response

Comment[]
Array of comment objectsEach comment includes:
  • id: Unique comment identifier
  • accountId: Account ID used for the comment
  • postUrl: URL of the TikTok video or Instagram post or Reel
  • commentText: The comment text
  • status: Current status (scheduled, pending, verifying, completed, failed)
  • commentUrl: URL to the posted comment, when available; may be null even when completed
  • error: Error message (if failed)
  • createdAt: When the comment was created
  • completedAt: When the comment completed (if applicable)